/* Reset padrão */
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Kanit", serif;
}

/* Fundo e overlay para melhor contraste */
main {
  position: relative;
  width: 100%;
  min-height: 100vh;
  background: url(./assets/microphone.jpg) center/cover no-repeat;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 5% 10%;
  color: #fff;
  text-align: center;
  gap: 20px;
}

main::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: -1;
}

h1 {
  font-size: clamp(28px, 5vw, 45px);
  font-weight: bold;
  letter-spacing: 2px;
  text-transform: uppercase;
}

span {
  color: #09f905;
}

p {
  font-size: clamp(16px, 2vw, 20px);
  line-height: 1.6;
}

#content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
  width: 90%;
  max-width: 700px;
}

textarea {
  width: 100%;
  height: 125px;
  border: none;
  border-radius: 12px;
  font-size: 16px;
  outline: none;
  padding: 10px;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

input[type="file"] {
  display: none;
}

.actions {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20px;
  width: 100%;
  max-width: 700px;
  margin-top: 5%;
}

.action-box {
  display: flex;
  flex-direction: column;
  gap: 20px;
  min-width: 150px;
}

.last-btn {
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
  justify-content: center;
}

#voice,
button,
#label-file {
  font-size: 18px;
  padding: 10px 15px;
  background-color: transparent;
  border: 1px solid rgba(60, 88, 47, 0.3);
  color: #f5f5f4;
  border-radius: 50px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

#voice:hover,
button:hover,
#label-file:hover {
  transform: scale(1.05);
  background-color: #545e54;
  color: #000;
  border-color: #797b79;
}

@media screen and (max-width: 1030px) {
  main {
    padding: 5% 5%;
  }
}

@media screen and (max-width: 780px) {
  .actions {
    flex-direction: column;
  }
}

@media screen and (max-width: 500px) {
  main {
    padding: 20px;
  }

  h1 {
    font-size: 24px;
  }

  p {
    font-size: 14px;
  }

  .actions {
    align-items: center;
  }

  button,
  #label-file {
    width: 100%;
  }
}
